Subject: bug#21215: closed (Re: bug#21215: icecat can't be started by basename only)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Feb 2016 18:18:02 +0000

Your bug report

#21215: icecat can't be started by basename only

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21215: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21215
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21215: icecat can't be started by basename only
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Feb 2016 19:17:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> skribis:

> On Wed, 10 Feb 2016 22:03:21 +0100
> [email-masked] (Ludovic Courtès) wrote:
>
>> [email-masked] (Ludovic Courtès) skribis:
>> 
>> > Danny Milosavljevic <[email-masked]> skribis:
>> >  
>> >> right now on the GuixSD from the website I have about 12 copies of
>> >> icecat installed in /gnu/store but I can start none of them by typing
>> >>
>> >>   $ icecat
>> >>
>> >> Why not?  
>> >
>> > See Taylan’s explanation from last month.
>> >  
>> >> Also, it isn't in Xfce4's Application Finder either (while for example
>> >> HexChat is).  
>> >
>> > Is IceCat installed in the global profile, i.e., specified in the
>> > ‘packages’ field of the ‘operating-system’ declaration, or is it
>> > installed in your user profile?  
>> 
>> Ping!  :-)
>> 
>> Any update on this issue?  (<http://bugs.gnu.org/21215>)
>
> I have a backup HDD with a copy of the installation from back then. 
> I can connect it via USB enclosure. What should I check?

You could answer the question I asked you above, but since you mention
the problem is gone, we’ll assume there was no real problem after all.
;-)

> For the record, on the new GuixSD installation (including guix pull) which I'm using now, I can start icecat by typing "icecat". However, there's still no entry in the start menu - which is pretty annoying.

Please open a different bug for the missing icon in the start menu.

> Also, icecat is in "gnu/packages/gnuzilla.scm". Weird. But ok...

‘guix edit’ FTW!  :-)

Thanks,
Ludo’.

Subject: icecat can't be started by basename only
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Date: Sat, 8 Aug 2015 00:28:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

right now on the GuixSD from the website I have about 12 copies of
icecat installed in /gnu/store but I can start none of them by typing

  $ icecat

Why not?

Also, it isn't in Xfce4's Application Finder either (while for example
HexChat is).

With kind regards,
   Danny